﻿/*
	Script:		options.js
	Gadget:		Net Meter
	Author:		Ben Coleman
	Version:	1.0
	Date:		03 April 2007
	Notes:		Tested on Google Desktop v5.1
*/

//
// called when options diaglog is opened - read in the values from the options object
//
function on_optionsOpen()
{
	rr_edit.value = options.getValue("refresh_rate");
	anim_cb.value = options.getValue("anim");
	auto_cb.value = options.getValue("auto_max");
	up_edit.value = options.getValue("max_up");
	down_edit.value = options.getValue("max_down");

	on_autoClick();
}

//
// when user clicks 'OK' - validate values & save options back
//
function on_optionsOK()
{
	temp = rr_edit.value
	if(isNumeric(temp)) {
		if(temp < 1) temp = 1
		options.putValue("refresh_rate", temp);
	}

	temp = up_edit.value
	if(isNumeric(temp)) {
		if(temp < 1) temp = 1
		options.putValue("max_up", temp);
	}

	temp = down_edit.value
	if(isNumeric(temp)) {
		if(temp < 1) temp = 1
		options.putValue("max_down", temp);
	}

	options.putValue("anim", anim_cb.value);
	options.putValue("auto_max", auto_cb.value);
}

//
// user clicked the "auto" checkbox, disable/enable the max edit fields
//
function on_autoClick() 
{
	up_edit.enabled = (auto_cb.value == false);
	down_edit.enabled = (auto_cb.value == false);
	if(!up_edit.enabled) up_edit.color = "#999999"; else up_edit.color = "#000000";
	if(!down_edit.enabled) down_edit.color = "#999999"; else down_edit.color = "#000000";
}

//
// clicked reset to set max edit fields to 1
//
function on_resetClick()
{
	options.putValue("max_down", 1);
	options.putValue("max_up", 1);
	down_edit.value = 1;
	up_edit.value = 1;
}

//
// helper function to check values are numeric
//
function isNumeric(value) {
	return typeof value != "boolean" && value !== null && !isNaN(+ value);
}
